Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
thread_native.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
RUBY_SYMBOL_EXPORT_BEGIN rb_nativethread_id_t | rb_nativethread_self ()
void | rb_nativethread_lock_initialize (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_destroy (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_lock (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_unlock (rb_nativethread_lock_t *lock)

## Function Documentation

void rb_nativethread_lock_destroy | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 286 of file thread.c.

Referenced by ossl_dyn_destroy_callback().

void rb_nativethread_lock_initialize | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 280 of file thread.c.

Referenced by Init_ossl_locks(), and ossl_dyn_create_callback().

void rb_nativethread_lock_lock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 292 of file thread.c.

Referenced by ossl_lock_unlock().

void rb_nativethread_lock_unlock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 298 of file thread.c.

Referenced by ossl_lock_unlock().

RUBY_SYMBOL_EXPORT_BEGIN rb_nativethread_id_t rb_nativethread_self | ( |  | ) |

Referenced by ossl_thread_id().